| Version: 3.0.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Public Member Functions | List of all members
wxGridCellFloatEditor Class Reference
Class List by Category » Grid Related Classes

`#include <wx/grid.h>`

Inheritance diagram for wxGridCellFloatEditor:
[legend]

## Detailed Description

The editor for floating point numbers data.

##

Library: wxAdvanced
Category: Grid Related Classes

See also
  wxGridCellEditor, wxGridCellAutoWrapStringEditor, wxGridCellBoolEditor, wxGridCellChoiceEditor, wxGridCellEnumEditor, wxGridCellNumberEditor, wxGridCellTextEditor

## Public Member Functions

| wxGridCellFloatEditor (int width=-1, int precision=-1, int format=wxGRID_FLOAT_FORMAT_DEFAULT)
| Float cell editor ctor. More...
virtual void | SetParameters (const wxString &params)
| The parameters string format is "width[,precision[,format]]" where `format` should be chosen between f|e|g|E|G (f is used by default) More...
Public Member Functions inherited from wxGridCellTextEditor
| wxGridCellTextEditor (size_t maxChars=0)
| Text cell editor constructor. More...
virtual void | SetValidator (const wxValidator &validator)
| Set validator to validate user input. More...
Public Member Functions inherited from wxGridCellEditor
| wxGridCellEditor ()
| Default constructor. More...
virtual void | BeginEdit (int row, int col, wxGrid *grid)=0
| Fetch the value from the table and prepare the edit control to begin editing. More...
virtual wxGridCellEditor * | Clone () const =0
| Create a new object which is the copy of this one. More...
virtual void | Create (wxWindow *parent, wxWindowID id, wxEvtHandler *evtHandler)=0
| Creates the actual edit control. More...
virtual void | Destroy ()
| Final cleanup. More...
virtual bool | EndEdit (int row, int col, const wxGrid *grid, const wxString &oldval, wxString *newval)=0
| End editing the cell. More...
virtual void | ApplyEdit (int row, int col, wxGrid *grid)=0
| Effectively save the changes in the grid. More...
virtual void | HandleReturn (wxKeyEvent &event)
| Some types of controls on some platforms may need some help with the Return key. More...
bool | IsCreated ()
| Returns true if the edit control has been created. More...
virtual void | PaintBackground (wxDC &dc, const wxRect &rectCell, const wxGridCellAttr &attr)
| Draws the part of the cell not occupied by the control: the base class version just fills it with background colour from the attribute. More...
virtual void | Reset ()=0
| Reset the value in the control back to its starting value. More...
virtual void | SetSize (const wxRect &rect)
| Size and position the edit control. More...
virtual void | Show (bool show, wxGridCellAttr *attr=NULL)
| Show or hide the edit control, use the specified attributes to set colours/fonts for it. More...
virtual void | StartingClick ()
| If the editor is enabled by clicking on the cell, this method will be called. More...
virtual void | StartingKey (wxKeyEvent &event)
| If the editor is enabled by pressing keys on the grid, this will be called to let the editor do something about that first key if desired. More...
virtual wxString | GetValue () const =0
| Returns the value currently in the editor control. More...
wxControl * | GetControl () const
| Get the wxControl used by this editor. More...
void | SetControl (wxControl *control)
| Set the wxControl that will be used by this cell editor for editing the value. More...
Public Member Functions inherited from wxClientDataContainer
| wxClientDataContainer ()
| Default constructor. More...
virtual | ~wxClientDataContainer ()
| Destructor. More...
void * | GetClientData () const
| Get the untyped client data. More...
wxClientData * | GetClientObject () const
| Get a pointer to the client data object. More...
void | SetClientData (void *data)
| Set the untyped client data. More...
void | SetClientObject (wxClientData *data)
| Set the client data object. More...
Public Member Functions inherited from wxRefCounter
| wxRefCounter ()
| Default constructor. More...
void | DecRef ()
| Decrements the reference count associated with this shared data and, if it reaches zero, destroys this instance of wxRefCounter releasing its memory. More...
int | GetRefCount () const
| Returns the reference count associated with this shared data. More...
void | IncRef ()
| Increments the reference count associated with this shared data. More...

## Additional Inherited Members

Protected Member Functions inherited from wxGridCellEditor
virtual | ~wxGridCellEditor ()
| The destructor is private because only DecRef() can delete us. More...
Protected Member Functions inherited from wxRefCounter
virtual | ~wxRefCounter ()
| Destructor. More...

## Constructor & Destructor Documentation

wxGridCellFloatEditor::wxGridCellFloatEditor | ( | int | width = `-1`,
|  | int | precision = `-1`,
|  | int | format = `wxGRID_FLOAT_FORMAT_DEFAULT`
| ) |  |

Float cell editor ctor.

Parameters

  width | Minimum number of characters to be shown.
  precision | Number of digits after the decimal dot.
  format | The format to use for displaying the number, a combination of wxGridCellFloatFormat enum elements. This parameter is only available since wxWidgets 2.9.3.

## Member Function Documentation

virtual void wxGridCellFloatEditor::SetParameters | ( | const wxString & | params | ) |

virtual

The parameters string format is "width[,precision[,format]]" where `format` should be chosen between f|e|g|E|G (f is used by default)

Reimplemented from wxGridCellTextEditor.